Package net.shibboleth.idp.module.admin.impl

# Class UnlockKeys

java.lang.Object
net.shibboleth.profile.module.AbstractModule
net.shibboleth.profile.module.PropertyDrivenModule
net.shibboleth.idp.module.PropertyDrivenIdPModule
net.shibboleth.idp.module.impl.CoreIdPModule
net.shibboleth.idp.module.admin.impl.UnlockKeys

All Implemented Interfaces:
  `IdPModule`, `Module`, `Component`, `IdentifiedComponent`

public final class UnlockKeys extends CoreIdPModule
`IdPModule` implementation.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.profile.module.AbstractModule

`AbstractModule.BasicModuleResource`

## Nested classes/interfaces inherited from interface net.shibboleth.profile.module.Module

`Module.ModuleResource, Module.ResourceResult`

## Field Summary

### Fields inherited from class net.shibboleth.idp.module.impl.CoreIdPModule

`MODULE_URL_BASE`

### Fields inherited from class net.shibboleth.profile.module.PropertyDrivenModule

`DEFAULT_RESOURCE, MODULE_DESC_PROPERTY, MODULE_DEST_PROPERTY, MODULE_EXEC_PROPERTY, MODULE_LANGS_PROPERTY, MODULE_NAME_PROPERTY, MODULE_NONWINDOWS_PROPERTY, MODULE_OPTIONAL_PROPERTY, MODULE_PLUGIN_PROPERTY, MODULE_POSTDISABLE_PROPERTY, MODULE_POSTENABLE_PROPERTY, MODULE_REPLACE_PROPERTY, MODULE_SRC_PROPERTY, MODULE_URL_PROPERTY, MODULE_WINDOWS_PROPERTY`

### Fields inherited from interface net.shibboleth.idp.module.IdPModule

`IDPNEW_EXT_BASE, IDPSAVE_EXT`

## Constructor Summary

Constructors
Constructor
Description
`UnlockKeys()`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.idp.module.impl.CoreIdPModule

`load`

### Methods inherited from class net.shibboleth.idp.module.PropertyDrivenIdPModule

`getNewExtension, getSaveExtension`

### Methods inherited from class net.shibboleth.profile.module.PropertyDrivenModule

`disable, enable, getDescription, getId, getName, getOwnerId, getURL, isHttpClientRequired, setURL`

### Methods inherited from class net.shibboleth.profile.module.AbstractModule

`equals, getResources, hashCode, isEnabled, setResources, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.module.Module

`disable, enable, enable, getDescription, getName, getOwnerId, getResources, getURL, isEnabled, isHttpClientRequired`

## Constructor Details

### UnlockKeys

public UnlockKeys() throws IOException, ModuleException
Constructor.

Throws:
  `ModuleException` - on error
  `IOException` - on error